Subject: Merging reqd in unicast ?

From: "Rajesh Advani" <[email-masked]>
Date: Sat, 20 Oct 2001 13:37:08 +0500

Hi ,

I would like to know if in a unicast case, there can exist a scenario 
where there is a single sender and multiple receivers. 

for eg . 
s: sender application
R: router
r: receiver application

s1---R1 --------- R2 --------
                             |
                             |-------------------R5---r1
s2---R3 ---------- R4 -------

What I am actually getting to is, in the absence of multicast, does 
there still exist a need to merge reservations ? 

Thanx & Regards,
Rajesh .

---

From: "Khuzema Pithewan" <[email-masked]>
Date: Mon, 22 Oct 2001 16:54:57 +0530

In your case, merging can only be done at receiver.

Khuzema.

-----Original Message-----
From: Rajesh Advani <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: Feng Mark <[email-masked]>; [email-masked] <[email-masked]>
Date: Monday, October 22, 2001 2:52 PM
Subject: Re: Merging reqd in unicast ?

>Hi all , 
>
>Yup ... I humbly agree that the diag. and the question were not matching
>
>. 
>
>What I intended to ask was - 
>'Can there be multiple senders in a unicast session ? And if yes, might 
>there exist a need for merging in such a case ? 
>
>Thanx,
>Rajesh . 
>
>----- Original Message -----
>From: Adithya Bhat <[email-masked]>
>Date: Monday, October 22, 2001 12:56 pm
>Subject: Re: Merging reqd in unicast ?
>
>> Hi Rajesh,
>> 
>> Your example doesn't seem to match your description, i.e. your 
>> figure seems to
>> indicate multiple senders and single receiver and your question 
>> seems to tell
>> multiple receiver & a single sender. Anyway I think there cannot 
>> be multiple
>> receiver & a single sender in unicast, because the sender will 
>> have to send path
>> msgs. to all the recievers explicitly. But in the case of the 
>> multiple senders
>> and single receiver (in unicast), I feel there can be merging.
>> 
>> Any comment on this is welcome. :-)
>> 
>> -Adithya
>> 
>> "Feng, Mark" wrote:
>> 
>> > If it is unicast in RSVP, there shouldn't be multiple receivers; 
>> and merging
>> > is not required.
>> >
>> > - Mark
>> >
>> > > -----Original Message-----
>> > > From: Rajesh Advani [mailto:[email-masked]]
>> > > Sent: Saturday, October 20, 2001 1:37 AM
>> > > To: [email-masked]
>> > > Subject: Merging reqd in unicast ?
>> > >
>> > >
>> > > Hi ,
>> > >
>> > > I would like to know if in a unicast case, there can exist a 
>> scenario> > where there is a single sender and multiple receivers.
>> > >
>> > > for eg .
>> > > s: sender application
>> > > R: router
>> > > r: receiver application
>> > >
>> > >
>> > > What I am actually getting to is, in the absence of multicast, 
>> does> > there still exist a need to merge reservations ?
>> > >
>> > > Thanx & Regards,
>> > > Rajesh .
>> > >
>> > >
>> 
>> --
>> Adithya S Bhat,
>> Software Engineer,
>> Sasken Communication Technologies Ltd.,
>> Bangalore,India.
>> Tel:080-5355501 ext:8251
>> 
>> 
>> 
>
>

---

From: Bob Braden <[email-masked]>
Date: Mon, 22 Oct 2001 16:03:12 GMT

*> From [email-masked]  Mon Oct 22 01:25:56 2001
  *> From: "Rajesh Advani" <[email-masked]>
  *> To: [email-masked]
  *> Cc: "Feng Mark" <[email-masked]>, [email-masked]
  *> Date: Mon, 22 Oct 2001 12:41:16 +0500
  *> MIME-Version: 1.0
  *> Content-Language: en
  *> Subject: Re: Merging reqd in unicast ?
  *> X-Accept-Language: en
  *> Content-Disposition: inline
  *> 
  *> Hi all , 
  *> 
  *> Yup ... I humbly agree that the diag. and the question were not matching 
  *> . 
  *> 
  *> What I intended to ask was - 
  *> 'Can there be multiple senders in a unicast session ? And if yes, might 
  *> there exist a need for merging in such a case ? 
  *> 
  *> Thanx,
  *> Rajesh . 
  *> 

RFC 2205 applies the term "merging" only to flowspecs.  However,
you could equally regard the calculation of the effective
Tspec (Path_Te) in Section 2.2 as a kind of "merging".  So the
answer depends upon what you mean by the question.

Bob Braden